{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function get_property, set_property, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nRecipeControls = get_property( @window, '@RecipeControls' )\r\nRecipePromptCnt = get_property( @window, '@RecipePromptCnt' )\r\nRecipeDataOnWindow = get_property( RecipeControls,'INVALUE' )\r\nconvert @rm to @vm in RecipeDataOnWindow\r\n\r\nif RecipeDataOnWindow = str( @vm, RecipePromptCnt-1 ) and get_property( @window, '@RecipeInfo' ) = '' then\r\n    * no epi information for current recipe layer\r\n    end_dialog( @window, '' )\r\nend else\r\n    if RecipeDataOnWindow = str( @vm, RecipePromptCnt-1 ) then\r\n        MsgInfo = ''\r\n        MsgInfo<micon$> = 'H'\r\n        MsgInfo<mtext$> = 'You cannot have a blank recipe layer...'\r\n        Void = msg( '', MsgInfo )\r\n    end else\r\n\t\tCurLayerNo = get_property( @window, '@CurLayer' )\r\n\t\tAllLayers  = get_property( @window, '@RecipeInfo' )\r\n\t\tAllLayers = fieldstore( AllLayers, char(248), CurLayerNo, 1, RecipeDataOnWindow )\r\n\t\tVoid = set_property( @window, '@RecipeInfo', AllLayers )\r\n\t\tRecipeInfo = get_property( @window, '@RecipeInfo' ) \r\n\t    end_dialog( @window, RecipeInfo )\r\n\tend\r\nend\r\nRETURN 0"
        }
    }
}